package cn.gzkx.satokenauth.controller;

import cn.dev33.satoken.stp.StpUtil;
import cn.gzkx.satokenauth.models.SysUser;
import cn.gzkx.satokenauth.service.PermissionService;
import cn.gzkx.satokenauth.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/7 下午5:02
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

    @Autowired
    private UserService userService;
    @Autowired
    private PermissionService permissionService;

    @PostMapping("/login")
    public String login(@RequestParam String username, @RequestParam String password) {
        // 验证用户信息
        SysUser sysUser = userService.getUserByUsername(username);
        if (sysUser == null || !sysUser.getPassword().equals(password)) {
            return "用户名或密码错误";
        }

        // 登录成功，生成 Token
        StpUtil.login(sysUser.getId());

        // 保存角色信息到会话
        StpUtil.getSession().set("role", sysUser.getRole());

        // 动态分配权限
        permissionService.assignPermissions(sysUser.getId());

        return "登录成功，Token: " + StpUtil.getTokenValue();
    }

    @GetMapping("/logout")
    public String logout() {
        StpUtil.logout();
        return "退出登录成功";
    }
}
