package cn.gzkx.satokenauth.service;

import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.collection.CollUtil;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/7 下午5:19
 */
@Service
public class PermissionService {
    public void assignPermissions(String userId) {
        // 根据角色分配权限
        List<String> roles = CollUtil.toList(StpUtil.getSessionByLoginId(userId).get("role").toString());

        if (roles.contains("admin")) {
            // 管理员拥有所有权限
            StpUtil.getSession().set("permissions", Arrays.asList("user:view", "user:edit"));
        } else if (roles.contains("user")) {
            // 普通用户仅有查看权限
            StpUtil.getSession().set("permissions", Arrays.asList("user:view"));
        }
    }
}
