package cn.udf.auth.api.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import cn.dev33.satoken.annotation.SaCheckRole;
import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.collection.CollUtil;
import cn.udf.common.core.domain.model.LoginUser;
import cn.udf.common.satoken.utils.LoginHelper;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/7 下午6:57
 */
@RestController
@RequestMapping("/api")
public class ApiController {

    // 仅管理员角色可以访问
    @GetMapping("/admin")
    @SaCheckRole("admin")
    public String adminEndpoint(HttpServletRequest request) {
        boolean flag= StpUtil.isLogin();
        List<String> roles=StpUtil.getRoleList();
        List<String> permissions=StpUtil.getPermissionList();
        LoginUser loginUser= LoginHelper.getLoginUser();
        Object loginId= StpUtil.getLoginId();
        return "欢迎管理员访问此接口";
    }

    // 仅具有 user:view 权限的用户可以访问
    @GetMapping("/view-user")
    @SaCheckPermission("user:view")
    public String viewUserEndpoint() {
        return "查看用户信息接口";
    }

    // 普通用户也可以访问
    @GetMapping("/common")
    public String commonEndpoint() {
        return "这是一个普通接口，任何人都可以访问";
    }
}
