package cn.udf.auth.controller;

import cn.dev33.satoken.stp.StpUtil;
import cn.udf.auth.models.SysUser;
import cn.udf.auth.service.PermissionService;
import cn.udf.auth.service.UserService;
import cn.udf.common.core.domain.model.LoginUser;
import cn.udf.common.core.enums.UserType;
import cn.udf.common.satoken.utils.LoginHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/7 下午5:02
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

    @Autowired
    private UserService userService;
    @Autowired
    private PermissionService permissionService;

    @PostMapping("/login")
    public String login(@RequestParam String username, @RequestParam String password) {
        // 验证用户信息
        SysUser sysUser = userService.getUserByUsername(username);
        if (sysUser == null || !sysUser.getPassword().equals(password)) {
            return "用户名或密码错误";
        }

        // 保存角色信息到会话
//        StpUtil.getSession().set("role", sysUser.getRole());

        // 动态分配权限
        List<String> menuPermission= permissionService.assignPermissions(sysUser.getRole());

        LoginUser loginUser=new LoginUser();
        loginUser.setUserType(UserType.SYS_USER.getUserType());
        loginUser.setUserId(sysUser.getId());
        loginUser.setUsername(sysUser.getUsername());
        loginUser.setRolePermission(sysUser.getRole());
        loginUser.setMenuPermission(menuPermission);


        // 登录成功，生成 Token
        LoginHelper.login(loginUser);

        return "登录成功，Token: " + StpUtil.getTokenValue();
    }

    @GetMapping("/logout")
    public String logout() {
//        StpUtil.logout();
        return "退出登录成功";
    }
}
