package cn.udf.auth.service;

import cn.udf.auth.models.SysUser;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/7 下午4:58
 */
@Service
public class UserService {

    // 模拟数据库中的用户信息
    private static final Map<String, SysUser> users = new HashMap<>();

    static {
        SysUser user1 = new SysUser();
        user1.setId(1L);
        user1.setUsername("admin");
        user1.setPassword("123456");
        user1.setRole(List.of("admin","test1"));

        SysUser user2 = new SysUser();
        user2.setId(2L);
        user2.setUsername("user");
        user2.setPassword("123456");
        user2.setRole(List.of("user","test1"));
        users.put("admin", user1); // 管理员
        users.put("user",user2);   // 普通用户
    }

    // 根据用户名获取用户
    public SysUser getUserByUsername(String username) {
        return users.get(username);
    }
}
